const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const ledger_entries = sequelize.define(
    'ledger_entries',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

entry_number: {
        type: DataTypes.TEXT,
      
      

      },

date: {
        type: DataTypes.DATE,
      
      

      },

account: {
        type: DataTypes.TEXT,
      
      

      },

debit: {
        type: DataTypes.DECIMAL,
      
      

      },

credit: {
        type: DataTypes.DECIMAL,
      
      

      },

description: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  ledger_entries.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity














































//end loop






    db.ledger_entries.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.ledger_entries.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return ledger_entries;
};


